QGIS Application - Bug report #17269
Circular string doesn't honor the coordinate system
2017-10-11 10:06 AM - Loic BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25167
Description

Problem found by Nyall reviewing the new tools for Circle,etc. and reproduce by me in 2.18

Well, when you draw a circular string in a layer with a geographical system (eg WGS84) and a map in projected system (eg EPGS:3946),

the circular arc is drawn in is system.

See the video.

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 10:17 AM - Loic BARTOLETTI
- Affected QGIS version changed from 2.18.13 to 3.5(master)
- Status changed from Feedback to Open

Files

circular.mp4 224 KB
https://github.com/qgis/QGIS/pull/4947#issuecomment-335291640

